// $Id: Op.h,v 1.6 2002/10/11 02:20:15 leres Exp $
//
// Copyright (c) 1995, 1997, 1998, 1999, 2002
//      The Regents of the University of California.  All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that: (1) source code distributions
// retain the above copyright notice and this paragraph in its entirety, (2)
// distributions including binary code include the above copyright notice and
// this paragraph in its entirety in the documentation or other materials
// provided with the distribution, and (3) all advertising materials mentioning
// features or use of this software display the following acknowledgement:
// ``This product includes software developed by the University of California,
// Lawrence Berkeley Laboratory and its contributors.'' Neither the name of
// the University nor the names of its contributors may be used to endorse
// or promote products derived from this software without specific prior
// written permission.
// THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
// WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

#ifndef op_h
#define op_h

// BRO operations.

typedef enum {
	OP_INCR, OP_DECR, OP_NOT, OP_NEGATE,
	OP_PLUS, OP_MINUS, OP_TIMES, OP_DIVIDE, OP_MOD,
	OP_AND, OP_OR,
	OP_LT, OP_LE, OP_EQ, OP_NE, OP_GE, OP_GT,
	OP_MATCH,
	OP_ASSIGN,
	OP_INDEX, OP_FIELD,
	OP_IN,
	OP_LIST,
	OP_CALL,
	OP_SCHED,
	OP_NAME, OP_CONST, OP_THIS
} BroOP;

#endif
